Bug 242320 - Debugging does not start on Android with Cordova 3.4
Debugging does not start on Android with Cordova 3.4
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: Cordova
8.0
PC Linux
: P2 (vote)
: 8.0
Assigned To: Jan Becicka
issues@web
80patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 12:55 UTC by Vladimir Riha
Modified: 2014-08-06 15:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2014-02-25 12:55:25 UTC
Cordova is not adding android:debuggable=“true” to Android manifest (see [1]), as a result, debugging (web inspection) does not start in IDE altough application is properly installed and launched



[1] http://cordova.apache.org/announcements/2014/02/20/cordova-340.html
Comment 1 Jan Becicka 2014-02-25 13:18:46 UTC
Changeset: 66bb8a282ce5
Author:    Jan Becicka <jbecicka@netbeans.org>
Date:      2014-02-25 14:16
Message:   android:debuggable is not checked. All runs from ide are considered as debug builds.
Comment 2 Jan Becicka 2014-02-25 13:26:01 UTC
Workaround for NetBeans 8.0
To enable webkit debugging with Cordova 3.4 or later go to file
platforms/android/AndroidManifest.xml
and add "android:debuggable=true" to "android" element:

<application android:debuggable="true"

It will enable debugging of cordova applications
Comment 3 Quality Engineering 2014-02-26 03:03:12 UTC
Integrated into 'main-silver', will be available in build *201402260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/66bb8a282ce5
User: Jan Becicka <jbecicka@netbeans.org>
Log: android:debuggable is not checked. All runs from ide are considered as debug builds.
Issue #242320 - Debugging does not start on Android with Cordova 3.4
Comment 4 Vladimir Riha 2014-02-26 08:25:02 UTC
marking as potential patch candidate
Comment 5 Vladimir Riha 2014-03-12 16:36:38 UTC
Verified, I ran project in emulator and inspection works out of the box. Thank you


Product Version: NetBeans IDE Dev (Build 201403120001)
Java: 1.8.0; Java HotSpot(TM) Client VM 25.0-b70
Runtime: Java(TM) SE Runtime Environment 1.8.0-b132
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 6 Jan Becicka 2014-04-18 13:21:44 UTC
changeset:   282781:c52565664877
branch:      release80
user:        Jan Becicka <jbecicka@netbeans.org>
date:        Tue Feb 25 14:16:05 2014 +0100
summary:     android:debuggable is not checked. All runs from ide are considered as debug builds.
Comment 7 Quality Engineering 2014-04-24 02:11:25 UTC
Integrated into 'releases/release80', will be available in build *201404240045* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/c52565664877
User: Jan Becicka <jbecicka@netbeans.org>
Log: android:debuggable is not checked. All runs from ide are considered as debug builds.
Issue #242320 - Debugging does not start on Android with Cordova 3.4
Comment 8 Vladimir Riha 2014-04-27 12:51:38 UTC
verified in patch1

Product Version: NetBeans IDE 8.0 (Build 201403101706)
Updates: NetBeans IDE is updated to version NetBeans 8.0 Patch 1
Java: 1.7.0_55; Java HotSpot(TM) Client VM 24.55-b03
Runtime: Java(TM) SE Runtime Environment 1.7.0_55-b13
System: Linux version 3.2.0-60-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo